Summary: Parallel Service Monitoring Daemon 
Name: mon
Version: 0.371
Release: 3
Source0: ftp://ftp.kernel.org/pub/software/admin/mon/mon-0.37l.tar.gz
Source1: mon.cf
Url: http://www.kernel.org/software/mon/
Copyright: GPL
Group: Network/Utilities
Buildroot: /var/tmp/mon-root
BuildArchitectures: noarch 
Requires: perl-TimeDate

%description
Mon is a general-purpose resource monitoring system, which can be used to
monitor network service availability, server problems, environmental conditions
such as the temperature in a room, or any number of things.

Resource monitoring can be viewed as two separate tasks: the testing of a
condition, and triggering some sort of action upon failure. mon was
designed to keep the testing and action-taking tasks separate, as
stand-alone programs. mon is implemented as a scheduler which executes the
the monitors (which test a condition), and calls the appropriate alerts if the
monitor fails.                   

Monitors and alerts are not a part of mon, even though the distribution comes
with a handful of them to get you started. This means that if a new service
needs monitoring, or if a new alert is required, the mon server does not need
to be changed.  This makes mon easily extensible.    

%prep
%setup -q -n mon-0.37l 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 mon $RPM_BUILD_ROOT/usr/bin
install -m 755 clients/moncmd $RPM_BUILD_ROOT/usr/bin
install -m 755 clients/monstatus $RPM_BUILD_ROOT/usr/bin
install -m 755 clients/skymon/skymon $RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/usr/man/man1
install -m 644 doc/mon.1  	$RPM_BUILD_ROOT/usr/man/man1 
install -m 644 doc/moncmd.1  	$RPM_BUILD_ROOT/usr/man/man1 

mkdir -p $RPM_BUILD_ROOT/usr/lib/mon/alert.d
install -m 755 alert.d/* $RPM_BUILD_ROOT/usr/lib/mon/alert.d

mkdir -p $RPM_BUILD_ROOT/usr/lib/mon/state.d

mkdir -p $RPM_BUILD_ROOT/usr/lib/mon/mon.d
install -m 755 mon.d/* $RPM_BUILD_ROOT/usr/lib/mon/mon.d

install -m 644 auth.cf $RPM_BUILD_ROOT/usr/lib/mon

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d
install -m 644 $RPM_SOURCE_DIR/mon.cf $RPM_BUILD_ROOT/etc
cp -f etc/S99mon $RPM_BUILD_ROOT/etc/rc.d/init.d/mon
ln -s /etc/rc.d/init.d/mon $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S99mon 
ln -s /etc/rc.d/init.d/mon $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K99mon 
mkdir -p $RPM_BUILD_ROOT/var/run/mon.pid/

mkdir -p $RPM_BUILD_ROOT/home/httpd/cgi-bin/
install -m 755 cgi-bin/* $RPM_BUILD_ROOT/home/httpd/cgi-bin/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS COPYRIGHT README INSTALL TODO doc/README.* etc/*.cf
%doc clients/skymon/* utils/* mon.lsm
%dir /usr/lib/mon/state.d/
%dir /var/run/mon.pid/
%config /etc/mon.cf
%config /usr/lib/mon/auth.cf
/etc/rc.d/rc3.d/S99mon 
/etc/rc.d/rc6.d/K99mon 
/etc/rc.d/init.d/mon 
/usr/man/man1/mon.1 
/usr/man/man1/moncmd.1 
/usr/bin/mon
/usr/bin/monstatus
/usr/bin/skymon          
/usr/bin/moncmd
/usr/lib/mon/alert.d       
/usr/lib/mon/mon.d
/home/httpd/cgi-bin/

%changelog
* Thu Jan 14 1999 Ian Macdonald <ianmacd@xs4all.nl>
- added Requires tag for perl-TimeDate

%changelog
* Wed Sep 09 1998 Michael Maher <mike@redhat.com>
- built package
